Bug 903587 - lvmdump does not handle symbolic links nor modified backup.backup_dir or backup.archive_dir
lvmdump does not handle symbolic links nor modified backup.backup_dir or back...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-24 05:57 EST by Marian Csontos
Modified: 2014-01-19 22:02 EST (History)
11 users (show)

See Also:
Fixed In Version: lvm2-2.02.98-14.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-19 22:02:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marian Csontos 2013-01-24 05:57:34 EST
lvmdump does not handle symbolic links nor modified backup_dir or archive_dir.

This makes sense on systems with read-only /etc.

Version-Release number of selected component (if applicable):
lvm2-2.02.98

How reproducible:
100%

Steps to Reproduce:
1. create /etc/lvm as a symbolic link
2. modify lvm.conf so backup_dir/archive_dir points to non-default location
3. run lvmdump -ma
  
Actual results:
- link is archived not the content
- backup/archive dir are not archived

Expected results:
- content of /etc/lvm/ should be archived
- backup/archive dir should be archived
Comment 1 Fedora End Of Life 2013-04-03 12:01:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Peter Rajnoha 2013-12-05 10:42:02 EST
Symbolic links are now followed + a directory listing is included (just for sure to see which files/dirs were symlinks originally):

https://git.fedorahosted.org/cgit/lvm2.git/commit/?id=73a109d434ffb894cda9c7fc6720d1166a9d5bca
Comment 3 Fedora Update System 2014-01-15 10:20:34 EST
lvm2-2.02.98-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lvm2-2.02.98-14.fc19
Comment 4 Fedora Update System 2014-01-16 02:00:53 EST
Package lvm2-2.02.98-14.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lvm2-2.02.98-14.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0900/lvm2-2.02.98-14.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-01-19 22:02:58 EST
lvm2-2.02.98-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.